longrun.
List runs

Docs

Runs / List runs

List runs

List runs. Supports limit, offset, q, and status query parameters.

GEThttps://uselongrun.app/v1/runs
Request
curl --request GET "https://uselongrun.app/v1/runs" \
  --header "Authorization: Bearer ${API_KEY}"

Request parameters

query
limitintegerOptional

Maximum number of results to return in this request. Use offset to request the next page.

Example
20

Default: 200

Minimum: 1

Maximum: 200

query
offsetintegerOptional

Number of results to skip. For a second page of 20 results, use 20.

Example
20

Default: 0

Minimum: 0

Maximum: 1000000

query
qstringOptional

Search text used to narrow the returned results.

Example
"receipt"

Default: ""

Maximum length: 200 characters.

query
statusobjectOptional

Only return runs with this processing status.

Example
"completed"

Allowed values: queued running completed failed cancelled

Returns

Returns HTTP 200.

items[].idstring
items[].statusobject

Allowed values: queued running completed failed cancelled

items[].outputsobject
items[].errorobject
items[].retry_of_run_idstringnull
items[].created_atstring
items[].updated_atstring
items[].workflow_namestringnull
items[].action_namestring
items[].duration_msnumbernull